Summary: 	Infrastructure to gather information about the running Linux system
Name: 		systemtap
Epoch:		1
Version: 	2.0
Release: 	%mkrel 4
License: 	GPLv2+
Group: 		Development/Kernel
URL: 		http://sourceware.org/systemtap/
Source: 	http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz
Buildrequires:	libcap-devel
Buildrequires:	elfutils-static-devel
BuildRequires:	gtkmm2.4-devel
Buildrequires:	libavahi-client-devel
Buildrequires:	latex2html
BuildRequires:	libglade2.0-devel
BuildRequires:  rpm-devel
ExcludeArch:	%mips

%description
SystemTap provides free software (GPL) infrastructure to simplify the gathering
of information about the running Linux system. This assists diagnosis of a 
performance or functional problem. SystemTap eliminates the need for the 
developer to go through the tedious and disruptive instrument, recompile, 
install, and reboot sequence that may be otherwise required to collect data.

SystemTap provides a simple command line interface and scripting language for
writing instrumentation for a live running kernel. We are publishing samples, 
as well as enlarging the internal "tapset" script library to aid reuse and 
abstraction. We also plan to support probing userspace applications. We are 
investigating interfacing Systemtap with similar tools such as Frysk, 
Oprofile and LTT.

Current project members include Red Hat, IBM, Intel, and Hitachi.

%prep
%setup -q

%build
%configure2_5x --with-rpm
%make

%install
# cd src
%makeinstall

%find_lang %name

# we add testsuite with a lot of examples
install -m 766 -d testsuite $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%files -f %name.lang
%doc AUTHORS INSTALL HACKING README
%{_bindir}/dtrace
%{_bindir}/stap*
%{_mandir}/man*/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_includedir}/sys/sdt.h
%{_includedir}/sys/sdt-config.h




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0-4.mga3
+ Revision: 383985
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 1:2.0-3.mga3
+ Revision: 340115
- Fix for _libdir != _libexecdir
- Fix file list to own directories

* Tue Dec 18 2012 tv <tv> 1:2.0-2.mga3
+ Revision: 332390
- rebuild for new rpm

* Tue Dec 18 2012 tv <tv> 1:2.0-1.mga3
+ Revision: 332375
- drop obsolete CVE patch
- new release
- rebuild for new rpm

* Tue Jun 12 2012 tv <tv> 1:1.6-6.mga3
+ Revision: 259950
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:1.6-5.mga3
+ Revision: 259377
- rebuild for new rpm-4.10.0

* Mon Apr 09 2012 luigiwalser <luigiwalser> 1:1.6-4.mga2
+ Revision: 230000
- fix CVE-2012-0875 (from redhat)

* Tue Dec 20 2011 dmorgan <dmorgan> 1:1.6-3.mga2
+ Revision: 185014
- Rebuild against rpm 4.9.1.2

* Tue Oct 18 2011 dmorgan <dmorgan> 1:1.6-2.mga2
+ Revision: 156307
- Add rpm-devel as buildrequires
- Add rpm support

* Tue Oct 18 2011 dmorgan <dmorgan> 1:1.6-1.mga2
+ Revision: 156102
- New version 1.6

* Fri Sep 09 2011 tv <tv> 1:1.4-1.mga2
+ Revision: 141642
- new release
- sync patches with fedora
- drop buildroot

  + rtp <rtp>
    - disable systemtap on mips as it's not supported

* Wed Jan 12 2011 ahmad <ahmad> 1:1.3-1.mga1
+ Revision: 7722
- imported package systemtap

